#!/bin/sh


# Skript odstranujici definovane soubory a adresare z projektu.
#
# Prvni parametr udava cestu korenoveho adresare projektu.
# Pokud neni prvni paramert zadan je bran jako korenovy adresar projektu adresar se skriptem.
#
# Regulerni vyrazi popisujici odstranovane adresare jsou definovany v poli directories.
# Regulerni vyrazi popisujici odstranovane soubory jsou definovany v poli files.
#
#
# Pr.:
# ./ClearCoronaProject.sh /Users/petrcada/Desktop/Export/Memory
#
# Pr.:
# ./ClearCoronaProject.sh Memory


# adresare ktere budou odstraneny
directories=( ".git"
              ".idea" );

# soubory ktere budou odstraneny
files=( "*.gitignore"
        "*.gitmodules"
        "*.iml" );



if [ "$1" == "" ]
then
    projectRootPath="${PWD}";
else
    projectRootPath="$1";
fi



# smaze vsechny soubory odpovidajici danemu regularnimu vyrazu
removeFiles()
{
    find "$projectRootPath" -name "$1" -exec echo "Removing file:" '{}' \; -exec rm -rf '{}' \+
}


# smaze vsechny adresare odpovidajici danemu regularnimu vyrazu
removeDirectories()
{
    find "$projectRootPath" -type d -name "$1" -exec echo "Removing directory:" '{}' \; -exec rm -rf '{}' \+
}



echo "Bude vycisten projekt:"
echo "----------------------------------------------";
echo "   "$projectRootPath
echo "----------------------------------------------";
echo "Chcete pokracovat(y/n):"
read continue;

if [ "$continue" != "y" ]
then
    echo "Cisteni projektu bylo zruseno."
    exit 1;
fi



# maze vsechny adresare
for directory in "${directories[@]}"
do
    removeDirectories "$directory";
done

# maze vsechny soubory
for file in "${files[@]}"
do
    removeFiles "$file";
done



echo "==============================================";
echo "Cisteni projektu uspesne skoncilo.";






:<<COM
removeDirectories ".git";
removeDirectories ".idea";

removeFiles "*.gitignore";
removeFiles "*.gitmodules";
removeFiles "*.iml";
COM




:<<COM
find $projectRootPath -name "*.settings" -exec rm -rf '{}' +;
find $projectRootPath -name "*.gitignore" -exec rm -rf '{}' +;
find $projectRootPath -name "*.gitmodules" -exec rm -rf '{}' +;


find $projectRootPath -type d -name ".git" -exec rm -rf '{}' +;
find $projectRootPath -type d -name ".git" -exec rm -rf '{}' +;
COM

#removeFilesAndDirectories "$files";


:<<COM
# smaze soubory nebo adresare vracene funkci find
removeFilesAndDirectories()
{
    filesAndDirectories=$1;

    echo ${filesAndDirectories[0]};

    # maze soubory a adresare
    for fileOrDirectory in "${filesAndDirectories[@]}"
    do
        if [ "$fileOrDirectory" != "" ]
        then
            echo "Removing:" "$fileOrDirectory";
            #rm -rf "$fileOrDirectory";
        fi
    done
}
COM
